Download it now!
Bug 98097 - COLOR PICKER: No tooltip for colors in "Recent" colors area
Summary: COLOR PICKER: No tooltip for colors in "Recent" colors area
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium enhancement
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2016-02-23 00:09 UTC by Freespirit
Modified: 2016-08-31 08:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Freespirit 2016-02-23 00:09:54 UTC
When I pick a color there's a mouse-over-tag with the name, i.e. "grey 3".

When I move the mouse over "last used colors", there's no mouse-over-tag.

I think it would be helpful to know the exact name of the color even in "last used colors".

What do you think?
Comment 1 tommy27 2016-02-23 06:19:23 UTC
I confirm issue on LibO 5.0.4.2 under Win8.1 x64

I think this a valid enhancement request.

@Jay
is this something you can take care about?
Comment 2 tommy27 2016-02-23 06:27:05 UTC
situation is even worse in 5.2.x where all mouse-over-tags are not available.
I opened a new report about this at Bug 98100
Comment 3 Yousuf Philips (jay) (retired) 2016-02-23 12:21:50 UTC
(In reply to tommy27 from comment #1)
> @Jay
> is this something you can take care about?

@Tommy: Nope. :D
Comment 4 V Stuart Foote 2016-03-02 14:48:05 UTC
On Windows 10 Pro with
Version: 5.1.1.2 (x64)
Build ID: fe4d9e69c82c6ee6db3c27cd5e2d47558afa80ac
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

and

Version: 5.2.0.0.alpha0+
Build ID: 393f11f88648e1c7cace6224aa7afcbf9d68ddd6
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-26_00:41:15
Locale: en-US (en_US)

confirming this issue with lack of tool-tip annotation of color for patches appearing on the "Recent" colors collection

Can't confirm issue of comment 2 as the mouse over tool-tips appear in the color picker for recent builds of master.
Comment 5 Caolán McNamara 2016-08-30 20:26:02 UTC
The recent colors are only stored as their hex numbers, without names, so the name info isn't there. Presumably we could add RecentColorNames to the config to go alongside it to store and use those names too.
Comment 6 Commit Notification 2016-08-31 08:36:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f11653287ad41df935bf25ffd6ffe8e7acb3bb1

Resolves: tdf#98097 no tooltip for colors in "Recent" colors area

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.